<?php

if (!defined("SPECIALCONSTANT")) {
    die("Acceso Denegado");
}

function xml_encode(array $arr, SimpleXMLElement $xml)
{
    foreach ($arr as $k => $v) {
        is_array($v)
            ? xml_encode($v, $xml->addChild($k))
            : $xml->addChild($k, $v);
    }
    return $xml;
}

function siNull($var, $quepongo){
    if($var == null){
        return $quepongo;
    } else {
        return $var;
    }
}

function verificarUsuario($header){
    
    return TRUE;
    
    $obj = json_decode($header);
    
    if (!$obj) return FALSE;
    
    $sigecre = $obj->{'sigecre'};
    $sComercio = $obj->{'comercio'};
    $sUsuario = $obj->{'usuario'};
    $sClave = $obj->{'clave'};
    
    $comercioX = new Comercio_Pers();
    $comercio = $comercioX->leer($sComercio);

   
    if (!$comercio) 
        return FALSE;
    else{

        $usuariox = new Usuario_Pers();
        $usuario = $usuariox->leer($sUsuario);
        if (!$usuario)
            return FALSE;
        //else{
        //    if($usuario->clave <> $sClave )
        //        return FALSE;
        //}
    }
    return TRUE;
}

function left($str, $length) {
     return substr($str, 0, $length);
}

function right($str, $length) {
     return substr($str, -$length);
}

function Nombre2File($nombre){

    $nombre = str_replace(" ", "_", $nombre);
    $nombre = str_replace("ñ", "n", $nombre);
    $nombre = str_replace("Ñ", "N", $nombre);
    $nombre = str_replace(".", "_", $nombre);
    $nombre = str_replace("/", "_", $nombre);

    return $nombre;

}
function FechaNula(){
    return strtotime("1900-01-01");
}

function FechaHoy(){
    return date('d/m/Y');
}

function FechaTodo(){
    return strtotime("2050-01-01");
}

function objectToArray($d) {
    if (is_object($d)) {
        // Gets the properties of the given object
        // with get_object_vars function
        $d = get_object_vars($d);
    }
 
    if (is_array($d)) {
        /*
        * Return array converted to object
        * Using __FUNCTION__ (Magic constant)
        * for recursive call
        */
        return array_map(__FUNCTION__, $d);
    }
    else {
        // Return array
        return $d;
    }
 }
 
function my_json_encode($in) { 
    $_escape = function ($str) { 
        return addcslashes($str, "\v\t\n\r\f\"\\/"); 
    }; 
    $out = ""; 
    if (is_object($in)) { 
        $class_vars = get_object_vars(($in)); 
        $arr = array(); 
        foreach ($class_vars as $key => $val) { 
            $arr[$key] = "\"{$_escape($key)}\":\"{$val}\""; 
        } 
        $val = implode(',', $arr); 
        $out .= "{{$val}}"; 
    }elseif (is_array($in)) { 
        $obj = false; 
        $arr = array(); 
        foreach($in AS $key => $val) { 
            if(!is_numeric($key)) { 
                $obj = true; 
            } 
            $arr[$key] = my_json_encode($val); 
        } 
    if($obj) { 
      foreach($arr AS $key => $val) { 
        $arr[$key] = "\"{$_escape($key)}\":{$val}"; 
      } 
      $val = implode(',', $arr); 
      $out .= "{{$val}}"; 
    }else { 
      $val = implode(',', $arr); 
      $out .= "[{$val}]"; 
    } 
  }elseif (is_bool($in)) { 
    $out .= $in ? 'true' : 'false'; 
  }elseif (is_null($in)) { 
    $out .= 'null'; 
  }elseif (is_string($in)) { 
    $out .= "\"{$_escape($in)}\""; 
  }else { 
    $out .= $in; 
  } 
  return "{$out}"; 
} 

 